
QGIS Application - Bug report #15053

WMS with EPSG:31255 is shifted (datum=hermannskogel)

2016-06-17 12:04 AM - Christoph Candido

Status: Closed

Priority: High

Assignee: Even Rouault

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22996

Description

QGIS commit:1563526 (2.15.0-86, OSGeo4W-x86, GDAL 2.1.0-1)

When we import a WMS layer with EPSG:31255 it is shifted more than 100m.

Looks like the problem is within gdal CRS definition file (c:\\osgeo4w\\share\\proj\\epsg).

There was a change from

<31255> +proj=tmerc +lat_0=0 +lon_0=13.33333333333333 +k=1 +x_0=0 +y_0=-5000000

*+towgs84=577.326,90.129,463.919,5.137,1.474,5.297,2.4232* +units=m +no_defs  <>

to

<31255> +proj=tmerc +lat_0=0 +lon_0=13.33333333333333 +k=1 +x_0=0 +y_0=-5000000 *+datum=hermannskogel* +units=m

+no_defs  <>

Unfortunately, datum "hermannskogel" seems to be hardcoded with three-parameters "towgs84=653.0,-212.0,449.0" instead of the

official 7 paramters  "towgs84=577.326,90.129,463.919,5.137,1.474,5.297,2.4232" (

http://www.bev.gv.at/pls/portal/url/ITEM/38A4FDFE4CD57DBBE040010A83215AF0)

The QGIS definition of EPSG:31255 in c:\\osgeo4w\\apps\\qgis-dev\

esources\\srs.db uses the official 7 parameters, producing the datum shift.

Is it possible to correct the definition of datum "hermannskogel" in gdal?

History

#1 - 2016-06-18 07:28 AM - Even Rouault

Which version of proj.4 are you using ? hermannskogel definition was updated from the 3 parameters to the 7 parameters in proj 4.9.1 : 

https://github.com/OSGeo/proj.4/commit/e4ef280b985d40390fad3cf4e88135774c7d9218

#2 - 2016-06-22 11:38 PM - Christoph Candido

- Status changed from Open to Closed
http://www.bev.gv.at/pls/portal/url/ITEM/38A4FDFE4CD57DBBE040010A83215AF0
https://github.com/OSGeo/proj.4/commit/e4ef280b985d40390fad3cf4e88135774c7d9218


Even,

QGIS 2.15.0-86 uses PROJ.4 version 4.9.2.

And YES, the parameters for datum "hermannskogel" are correct (7 Parameters).

I guess the problem with our install was, that QGIS referenced an old proj.dll (maybe from Sextante).

I removed all pre 4.9.1 proj.dll files and everything is fine now.

Thank's a lot for your info!
